uk.co.mruoc.http.client

## Class BaseHttpClient

- java.lang.Object
- - uk.co.mruoc.http.client.BaseHttpClient

All Implemented Interfaces:
  HttpClient

Direct Known Subclasses:
  SimpleHttpClient

    public abstract class BaseHttpClient
    extends java.lang.Object
    implements HttpClient

### Constructor Summary

Constructors
Constructor and Description
`BaseHttpClient()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`Response` `delete(java.lang.String endpoint)`
`abstract Response` `delete(java.lang.String endpoint, Headers headers)`
`Response` `get(java.lang.String endpoint)`
`abstract Response` `get(java.lang.String endpoint, Headers headers)`
`Response` `post(java.lang.String endpoint, java.lang.String entity)`
`abstract Response` `post(java.lang.String endpoint, java.lang.String entity, Headers headers)`
`Response` `put(java.lang.String endpoint, java.lang.String entity)`
`abstract Response` `put(java.lang.String endpoint, java.lang.String entity, Headers headers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseHttpClient

    public BaseHttpClient()

### Method Detail

#### post

    public Response post(java.lang.String endpoint,
                         java.lang.String entity)

Specified by:
  `post` in interface `HttpClient`

#### post

    public abstract Response post(java.lang.String endpoint,
                                  java.lang.String entity,
                                  Headers headers)

Specified by:
  `post` in interface `HttpClient`

#### put

    public Response put(java.lang.String endpoint,
                        java.lang.String entity)

Specified by:
  `put` in interface `HttpClient`

#### put

    public abstract Response put(java.lang.String endpoint,
                                 java.lang.String entity,
                                 Headers headers)

Specified by:
  `put` in interface `HttpClient`

#### get

    public Response get(java.lang.String endpoint)

Specified by:
  `get` in interface `HttpClient`

#### get

    public abstract Response get(java.lang.String endpoint,
                                 Headers headers)

Specified by:
  `get` in interface `HttpClient`

#### delete

    public Response delete(java.lang.String endpoint)

Specified by:
  `delete` in interface `HttpClient`

#### delete

    public abstract Response delete(java.lang.String endpoint,
                                    Headers headers)

Specified by:
  `delete` in interface `HttpClient`